
/*
 *    Standard port definitions for a MEGA644,
 *    This should be all you need to change for a different micro. 
 */

/* the port that data is transferred to and from the device with*/
#define DATA_PORT     PORTA
#define DATA_DDR    DDRA
#define DATA_PIN    PINA

/* the port that controls the device (program codes, etc.)*/
#define CONTROL_PORT    PORTB
#define CONTROL_DDR        DDRB
#define CONTROL_PIN        PINB

#define RSTDDR DDRB
#define RSTPORT PORTB

#define SENSE2051PIN PINC
#define SENSE2051 PC3

#define RST5    PB0
#define RST12    PB1
#define XTAL    PB7
#define P32        PB6
#define P33        PB5
#define P34        PB4
#define P35        PB3
#define P37        PB2

#define FEEDBACK_PORT    PORTC
#define FEEDBACK_DDR    DDRC
#define FEEDBACK_PIN    PINC

#define P31        PC0

//static void print_ihex(void); 
void atmel_pulse_xtal(void);
void atmel_write_chip(void);
void atmel_clear_chip(void);
int atmel_signature(void);
void atmel_view(void);
void atmel_verify(void);
void atmel_program(void);
